/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/edit.js":
/*!*********************!*\
  !*** ./src/edit.js ***!
  \*********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _editor_scss__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./editor.scss */ "./src/editor.scss");
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @wordpress/i18n */ "@wordpress/i18n");
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @wordpress/block-editor */ "@wordpress/block-editor");
/* harmony import */ var _wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @wordpress/components */ "@wordpress/components");
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @wordpress/data */ "@wordpress/data");
/* harmony import */ var _wordpress_data__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_wordpress_data__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _wordpress_editor__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @wordpress/editor */ "@wordpress/editor");
/* harmony import */ var _wordpress_editor__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_wordpress_editor__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _wordpress_server_side_render__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @wordpress/server-side-render */ "@wordpress/server-side-render");
/* harmony import */ var _wordpress_server_side_render__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_wordpress_server_side_render__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _typography__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./typography */ "./src/typography.js");










/**
 * The edit function describes the structure of your block in the context of the
 * editor. This represents what the editor will render when the block is used.
 *
 *
 * @return {WPElement} Element to render.
 */

const Edit = props => {
  const {
    attributes,
    setAttributes
  } = props;
  const blockProps = (0,_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3__.useBlockProps)();
  attributes.block_id = blockProps.id;
  const handleAddNutrients = () => {
    const custom_nutrients = [...props.attributes.custom_nutrients];
    custom_nutrients.push({
      name: '',
      unit: '',
      amt: '',
      sv: '',
      level: '',
      text_style: ''
    });
    props.setAttributes({
      custom_nutrients
    });
  };
  const handleRemoveNutrient = index => {
    const custom_nutrients = [...props.attributes.custom_nutrients];
    custom_nutrients.splice(index, 1);
    props.setAttributes({
      custom_nutrients
    });
  };
  const handleNutrientsChange = (newval, prop, index) => {
    const custom_nutrients = [...props.attributes.custom_nutrients];
    custom_nutrients[index][prop] = newval;
    props.setAttributes({
      custom_nutrients
    });
  };
  let custNutrientFields;
  if (props.attributes.custom_nutrients.length) {
    custNutrientFields = props.attributes.custom_nutrients.map((item, index) => {
      return (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
        className: "cust-nutrient-item",
        key: index
      }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextControl, {
        label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Nutrient Name', 'nflc-gt'),
        placeholder: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Protein P1', 'nflc-gt'),
        value: props.attributes.custom_nutrients[index].name,
        onChange: newval => {
          handleNutrientsChange(newval, 'name', index);
        },
        help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Provide a nutrient name. E.g. Foo Protein', 'nflc-gt')
      }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextControl, {
        label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Unit', 'nflc-gt'),
        placeholder: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('mcg', 'nflc-gt'),
        value: props.attributes.custom_nutrients[index].unit,
        onChange: newval => handleNutrientsChange(newval, 'unit', index),
        help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Provide a nutrient unit. E.g. mcg', 'nflc-gt')
      }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
        min: "0",
        label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Amount per serving (cal)', 'nflc-gt'),
        placeholder: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('0', 'nflc-gt'),
        value: props.attributes.custom_nutrients[index].amt,
        onChange: newval => handleNutrientsChange(newval, 'amt', index),
        help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Provide amount per serving. E.g. 240', 'nflc-gt')
      }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
        min: "0",
        label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Standard Daily Value', 'nflc-gt'),
        placeholder: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('0', 'nflc-gt'),
        value: props.attributes.custom_nutrients[index].sv,
        onChange: newval => handleNutrientsChange(newval, 'sv', index),
        help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Provide standard daily value of Nutrient (without unit). E.g. 200', 'nflc-gt')
      }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.SelectControl, {
        label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Nutrient Indent Level', 'nflc-gt'),
        value: props.attributes.custom_nutrients[index].level,
        onChange: newval => handleNutrientsChange(newval, 'level', index),
        help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Select indent level for Nutrient entry in table.', 'nflc-gt')
      }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
        value: "0"
      }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Level 0', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
        value: "1"
      }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Level 1', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
        value: "2"
      }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Level 2', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
        value: "3"
      }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Level 3', 'nflc-gt'))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.SelectControl, {
        label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Text Style', 'nflc-gt'),
        value: props.attributes.custom_nutrients[index].text_style,
        onChange: newval => handleNutrientsChange(newval, 'text_style', index),
        help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Select text style for the nutrient entry.', 'nflc-gt')
      }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
        value: "normal"
      }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Normal', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
        value: "bold"
      }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Bold', 'nflc-gt'))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.Button, {
        icon: "no-alt",
        className: "delete-btn",
        iconSize: "16",
        showTooltip: true,
        tooltipPosition: "top",
        isSmall: true,
        label: "Delete",
        onClick: () => handleRemoveNutrient(index)
      }));
    });
  }

  // Example runtime CSS rendering for color picker
  // @todo for all color picker and CSS
  const handleColor = (newval, att_name, selector, csstext) => {
    const parentDOM = document.getElementById(blockProps.id);
    selector = selector.replace('parent', blockProps.id);
    const nodeList = parentDOM.querySelectorAll(selector);
    for (let i = 0; i < nodeList.length; i++) {
      nodeList[i].style.cssText = csstext;
    }
    setAttributes({
      [att_name]: newval
    });
  };
  const default_colors = [{
    name: 'Steel Blue',
    color: '#4682b4'
  }, {
    name: 'Sea Green',
    color: '#2e8b57'
  }, {
    name: 'Slate Grey',
    color: '#708090'
  }, {
    name: 'White',
    color: '#fff'
  }, {
    name: 'Black',
    color: '#000'
  }];
  return (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("div", {
    ...blockProps
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_block_editor__WEBPACK_IMPORTED_MODULE_3__.InspectorControls, null, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.Panel, {
    className: "nflc-gt-panel"
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.ToggleControl, {
    className: "preview-toggle",
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Toggle preview', 'nflc-gt'),
    value: attributes.preview,
    onChange: newval => setAttributes({
      preview: newval
    }),
    checked: attributes.preview,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Show/hide preview while working on the settings. Hiding helps in preventing too many server-side renders.', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('General', 'nflc-gt'),
    initialOpen: true
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Display Style', 'nflc-gt'),
    value: attributes.display_style,
    onChange: newval => setAttributes({
      display_style: newval
    })
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "std"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Standard', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "classic"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Classic', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "classic tabular"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Classic Tabular', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "flat"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Flat', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "flat striped"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Flat Striped', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "lined"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Lined', 'nflc-gt'))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Nutrition Table Heading', 'nflc-gt'),
    value: attributes.nutri_heading,
    onChange: newval => setAttributes({
      nutri_heading: newval
    })
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.ToggleControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Show standard Daily Values', 'nflc-gt'),
    value: attributes.show_dv,
    onChange: newval => setAttributes({
      show_dv: newval
    }),
    checked: attributes.show_dv,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Enabling this option will show standard Daily Values in the chart.', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextareaControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Nutrition label extra notes', 'nflc-gt'),
    value: attributes.extra_notes,
    onChange: newval => setAttributes({
      extra_notes: newval
    }),
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Provide extra notes for the Nutrition table. This will be displayed at the end of table.', 'nflc-gt')
    /* translators: Use %1$s, %2$s, %3$s, %4$s, %5$s and %6$s for Author, Date, Updated date, Categories, Comments, and Permalink respectively. E.g. Posted by %1$s in %2$s */
  }))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Nutrients', 'nflc-gt'),
    initialOpen: false
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.TextControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Serving Size', 'nflc-gt'),
    value: attributes.serving_size,
    onChange: newval => setAttributes({
      serving_size: newval
    }),
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Serving size. E.g. 1 Cookie (10g)', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Calories per serving (cal)', 'nflc-gt'),
    onChange: newval => setAttributes({
      calories: newval
    }),
    value: attributes.calories,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Provide approximate calories (without unit) per serving. E.g. 240', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Serving Per Container', 'nflc-gt'),
    onChange: newval => setAttributes({
      serving_per_cont: newval
    }),
    value: attributes.serving_per_cont,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Provide serving per container. E.g. 30', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Total Fat', 'nflc-gt'),
    onChange: newval => setAttributes({
      total_fat: newval
    }),
    value: attributes.total_fat,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Total Fat (g), without unit. Standard daily value is 78 g', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Saturated Fat', 'nflc-gt'),
    onChange: newval => setAttributes({
      saturated_fat: newval
    }),
    value: attributes.saturated_fat,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Saturated Fat (g), without unit. Standard daily value is 20 g', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Trans Fat', 'nflc-gt'),
    onChange: newval => setAttributes({
      trans_fat: newval
    }),
    value: attributes.trans_fat,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Trans Fat (g), without unit. ', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Polyunsaturated Fat', 'nflc-gt'),
    onChange: newval => setAttributes({
      polyunsat_fat: newval
    }),
    value: attributes.polyunsat_fat,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Polyunsaturated Fat (g), without unit. ', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Monounsaturated Fat', 'nflc-gt'),
    onChange: newval => setAttributes({
      monounsat_fat: newval
    }),
    value: attributes.monounsat_fat,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Monounsaturated Fat (g), without unit. ', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Cholesterol', 'nflc-gt'),
    onChange: newval => setAttributes({
      cholesterol: newval
    }),
    value: attributes.cholesterol,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Cholesterol (mg), without unit. Standard daily value is 300 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Sodium', 'nflc-gt'),
    onChange: newval => setAttributes({
      sodium: newval
    }),
    value: attributes.sodium,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Sodium (mg), without unit. Standard daily value is 2300 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    min: "0",
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Total Carbohydrate', 'nflc-gt'),
    onChange: newval => setAttributes({
      carbohydrate: newval
    }),
    value: attributes.carbohydrate,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Total Carbohydrate (g), without unit. Standard daily value is 275 g', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Dietary Fiber', 'nflc-gt'),
    onChange: newval => setAttributes({
      fiber: newval
    }),
    value: attributes.fiber,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Dietary Fiber (g), without unit. Standard daily value is 28 g', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Total Sugars', 'nflc-gt'),
    onChange: newval => setAttributes({
      sugar: newval
    }),
    value: attributes.sugar,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Total Sugars (g), without unit. ', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Added Sugars', 'nflc-gt'),
    onChange: newval => setAttributes({
      added_sugar: newval
    }),
    value: attributes.added_sugar,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Added Sugars (g), without unit. Standard daily value is 50 g', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Sugar Alcohal', 'nflc-gt'),
    onChange: newval => setAttributes({
      sugar_alcohal: newval
    }),
    value: attributes.sugar_alcohal,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Sugar Alcohal (g), without unit. ', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Protein', 'nflc-gt'),
    onChange: newval => setAttributes({
      protein: newval
    }),
    value: attributes.protein,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Protein (g), without unit. Standard daily value is 50 g', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin D (Cholecalciferol)', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_d: newval
    }),
    value: attributes.vitamin_d,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin D (Cholecalciferol) (IU), without unit. Standard daily value is 800 IU (International Units) or 20 mcg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Calcium', 'nflc-gt'),
    onChange: newval => setAttributes({
      calcium: newval
    }),
    value: attributes.calcium,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Calcium (mg), without unit. Standard daily value is 1300 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Iron', 'nflc-gt'),
    onChange: newval => setAttributes({
      iron: newval
    }),
    value: attributes.iron,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Iron (mg), without unit. Standard daily value is 18 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Potassium', 'nflc-gt'),
    onChange: newval => setAttributes({
      potassium: newval
    }),
    value: attributes.potassium,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Potassium (mg), without unit. Standard daily value is 4700 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin A', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_a: newval
    }),
    value: attributes.vitamin_a,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin A (International Units), without unit. Standard daily value is 900 mcg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin C (Ascorbic Acid)', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_c: newval
    }),
    value: attributes.vitamin_c,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin C (Ascorbic Acid) (mg), without unit. Standard daily value is 90 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin E (Tocopherol)', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_e: newval
    }),
    value: attributes.vitamin_e,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin E (Tocopherol) (IU), without unit. Standard daily value is 33 IU or 15 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin K', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_k: newval
    }),
    value: attributes.vitamin_k,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin K (mcg), without unit. Standard daily value is 120 mcg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin B1 (Thiamin)', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_b1: newval
    }),
    value: attributes.vitamin_b1,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin B1 (Thiamin) (mg), without unit. Standard daily value is 1.2 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin B2 (Riboflavin)', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_b2: newval
    }),
    value: attributes.vitamin_b2,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin B2 (Riboflavin) (mg), without unit. Standard daily value is 1.3 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin B3 (Niacin)', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_b3: newval
    }),
    value: attributes.vitamin_b3,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin B3 (Niacin) (mg), without unit. Standard daily value is 16 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin B6 (Pyridoxine)', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_b6: newval
    }),
    value: attributes.vitamin_b6,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin B6 (Pyridoxine) (mg), without unit. Standard daily value is 1.7 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Folate', 'nflc-gt'),
    onChange: newval => setAttributes({
      folate: newval
    }),
    value: attributes.folate,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Folate (mcg), without unit. Standard daily value is 400 mcg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin B12 (Cobalamine)', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_b12: newval
    }),
    value: attributes.vitamin_b12,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin B12 (Cobalamine) (mcg), without unit. Standard daily value is 2.4 mcg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Biotin', 'nflc-gt'),
    onChange: newval => setAttributes({
      biotin: newval
    }),
    value: attributes.biotin,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Biotin (mcg), without unit. Standard daily value is 30 mcg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Choline', 'nflc-gt'),
    onChange: newval => setAttributes({
      choline: newval
    }),
    value: attributes.choline,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Choline (mg), without unit. Standard daily value is 550 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Vitamin B5 (Pantothenic acid)', 'nflc-gt'),
    onChange: newval => setAttributes({
      vitamin_b5: newval
    }),
    value: attributes.vitamin_b5,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Vitamin B5 (Pantothenic acid) (mg), without unit. Standard daily value is 5 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Phosphorus', 'nflc-gt'),
    onChange: newval => setAttributes({
      phosphorus: newval
    }),
    value: attributes.phosphorus,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Phosphorus (mg), without unit. Standard daily value is 1250 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Iodine', 'nflc-gt'),
    onChange: newval => setAttributes({
      iodine: newval
    }),
    value: attributes.iodine,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Iodine (mcg), without unit. Standard daily value is 150 mcg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Magnesium', 'nflc-gt'),
    onChange: newval => setAttributes({
      magnesium: newval
    }),
    value: attributes.magnesium,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Magnesium (mg), without unit. Standard daily value is 420 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Zinc', 'nflc-gt'),
    onChange: newval => setAttributes({
      zinc: newval
    }),
    value: attributes.zinc,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Zinc (mg), without unit. Standard daily value is 11 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Selenium', 'nflc-gt'),
    onChange: newval => setAttributes({
      selenium: newval
    }),
    value: attributes.selenium,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Selenium (mcg), without unit. Standard daily value is 55 mcg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Copper', 'nflc-gt'),
    onChange: newval => setAttributes({
      copper: newval
    }),
    value: attributes.copper,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Copper (mg), without unit. Standard daily value is 0.9 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Manganese', 'nflc-gt'),
    onChange: newval => setAttributes({
      manganese: newval
    }),
    value: attributes.manganese,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Manganese (mg), without unit. Standard daily value is 2.3 mg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Chromium', 'nflc-gt'),
    onChange: newval => setAttributes({
      chromium: newval
    }),
    value: attributes.chromium,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Chromium (mcg), without unit. Standard daily value is 35 mcg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Molybdenum', 'nflc-gt'),
    onChange: newval => setAttributes({
      molybdenum: newval
    }),
    value: attributes.molybdenum,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Molybdenum (mcg), without unit. Standard daily value is 45 mcg', 'nflc-gt')
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.__experimentalNumberControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Chloride', 'nflc-gt'),
    onChange: newval => setAttributes({
      chloride: newval
    }),
    value: attributes.chloride,
    help: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('The amount of Chloride (mg), without unit. Standard daily value is 2300 mg', 'nflc-gt')
  }))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Custom Nutrients'),
    initialOpen: false
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, custNutrientFields, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.Button, {
    icon: "plus-alt2",
    variant: "tertiary",
    onClick: handleAddNutrients
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Add Nutrient', 'nflc-gt')))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Nutrition Table Styles', 'nflc-gt'),
    initialOpen: false
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_typography__WEBPACK_IMPORTED_MODULE_8__["default"], {
    props: props,
    att_name: "nt_table_family",
    selector: "{parent}.nflc"
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.ColorPalette, {
    colors: default_colors,
    value: attributes.nt_table_color,
    onChange: newval => handleColor(newval, 'nt_table_color', '.nflc', 'color:' + newval + ';'),
    enableAlpha: true
  }))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Nutrition Title Styles', 'nflc-gt'),
    initialOpen: false
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_typography__WEBPACK_IMPORTED_MODULE_8__["default"], {
    props: props,
    att_name: "nt_title_family",
    selector: "{parent}.nflc .nt-title"
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.ColorPalette, {
    colors: default_colors,
    value: attributes.nt_title_color,
    onChange: newval => handleColor(newval, 'nt_title_color', '.nt-title', 'color:' + newval + ';'),
    enableAlpha: true
  }))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Serving per container Styles', 'nflc-gt'),
    initialOpen: false
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_typography__WEBPACK_IMPORTED_MODULE_8__["default"], {
    props: props,
    att_name: "serving_per_cont_family",
    selector: "{parent}.nflc .serving-per-cont"
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.ColorPalette, {
    colors: default_colors,
    value: attributes.serving_per_cont_color,
    onChange: newval => handleColor(newval, 'serving_per_cont_color', '.serving-per-cont', 'color:' + newval + ';'),
    enableAlpha: true
  }))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Serving Size Styles', 'nflc-gt'),
    initialOpen: false
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_typography__WEBPACK_IMPORTED_MODULE_8__["default"], {
    props: props,
    att_name: "serving_size_family",
    selector: "{parent}.nflc .serving-size"
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.ColorPalette, {
    colors: default_colors,
    value: attributes.serving_size_color,
    onChange: newval => handleColor(newval, 'serving_size_color', '.serving-size', 'color:' + newval + ';'),
    enableAlpha: true
  }))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Amount per serving Styles', 'nflc-gt'),
    initialOpen: false
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_typography__WEBPACK_IMPORTED_MODULE_8__["default"], {
    props: props,
    att_name: "amt_per_serving_family",
    selector: "{parent}.nflc .amount-per-serving"
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.ColorPalette, {
    colors: default_colors,
    value: attributes.amt_per_serving_color,
    onChange: newval => handleColor(newval, 'amt_per_serving_color', '.amount-per-serving', 'color:' + newval + ';'),
    enableAlpha: true
  }))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelBody, {
    title: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Calories Styles', 'nflc-gt'),
    initialOpen: false
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.PanelRow, null, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_typography__WEBPACK_IMPORTED_MODULE_8__["default"], {
    props: props,
    att_name: "calories_family",
    selector: "{parent}.nflc .calories"
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_4__.ColorPalette, {
    colors: default_colors,
    value: attributes.calories_color,
    onChange: newval => handleColor(newval, 'calories_color', '.calories', 'color:' + newval + ';'),
    enableAlpha: true
  }))))), attributes.preview ? (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)((_wordpress_server_side_render__WEBPACK_IMPORTED_MODULE_7___default()), {
    httpMethod: "POST",
    block: props.name,
    attributes: {
      block_id: attributes.block_id,
      preview: attributes.preview,
      display_style: attributes.display_style,
      nutri_heading: attributes.nutri_heading,
      show_dv: attributes.show_dv,
      extra_notes: attributes.extra_notes,
      serving_size: attributes.serving_size,
      calories: attributes.calories,
      serving_per_cont: attributes.serving_per_cont,
      total_fat: attributes.total_fat,
      saturated_fat: attributes.saturated_fat,
      trans_fat: attributes.trans_fat,
      polyunsat_fat: attributes.polyunsat_fat,
      monounsat_fat: attributes.monounsat_fat,
      cholesterol: attributes.cholesterol,
      sodium: attributes.sodium,
      carbohydrate: attributes.carbohydrate,
      fiber: attributes.fiber,
      sugar: attributes.sugar,
      added_sugar: attributes.added_sugar,
      sugar_alcohal: attributes.sugar_alcohal,
      protein: attributes.protein,
      vitamin_d: attributes.vitamin_d,
      calcium: attributes.calcium,
      iron: attributes.iron,
      potassium: attributes.potassium,
      vitamin_a: attributes.vitamin_a,
      vitamin_c: attributes.vitamin_c,
      vitamin_e: attributes.vitamin_e,
      vitamin_k: attributes.vitamin_k,
      vitamin_b1: attributes.vitamin_b1,
      vitamin_b2: attributes.vitamin_b2,
      vitamin_b3: attributes.vitamin_b3,
      vitamin_b6: attributes.vitamin_b6,
      folate: attributes.folate,
      vitamin_b12: attributes.vitamin_b12,
      biotin: attributes.biotin,
      choline: attributes.choline,
      vitamin_b5: attributes.vitamin_b5,
      phosphorus: attributes.phosphorus,
      iodine: attributes.iodine,
      magnesium: attributes.magnesium,
      zinc: attributes.zinc,
      selenium: attributes.selenium,
      copper: attributes.copper,
      manganese: attributes.manganese,
      chromium: attributes.chromium,
      molybdenum: attributes.molybdenum,
      chloride: attributes.chloride,
      custom_nutrients: attributes.custom_nutrients,
      nt_table_family: attributes.nt_table_family,
      nt_table_color: attributes.nt_table_color,
      nt_title_family: attributes.nt_title_family,
      nt_title_color: attributes.nt_title_color,
      serving_per_cont_family: attributes.serving_per_cont_family,
      serving_per_cont_color: attributes.serving_per_cont_color,
      serving_size_family: attributes.serving_size_family,
      serving_size_color: attributes.serving_size_color,
      amt_per_serving_family: attributes.amt_per_serving_family,
      amt_per_serving_color: attributes.amt_per_serving_color,
      calories_family: attributes.calories_family,
      calories_color: attributes.calories_color
    }
  }) : (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("p", {
    class: "no-preview"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_2__.__)('Preview is turned off. You can enable it using the "Toggle Preview" button inside the block settings sidebar.', 'nflc-gt')));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Edit);

/***/ }),

/***/ "./src/font-list.js":
/*!**************************!*\
  !*** ./src/font-list.js ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);

const FontList = () => {
  const [data, setData] = (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const getData = () => {
    fetch('../wp-content/plugins/nutrition-facts-label-creator-gt/public/font-data.json').then(response => {
      return response.json();
    }).then(function (myJson) {
      setData(myJson);
    });
  };
  (0,_wordpress_element__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    getData();
  }, []);
  const family_arr = [];
  if (data) {
    for (let i in data.items) {
      if (data.items.hasOwnProperty(i)) {
        family_arr.push({
          value: JSON.stringify({
            family: data.items[i].family,
            variants: data.items[i].variants
          }),
          label: data.items[i].family
        });
      }
    }
  }
  return family_arr;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (FontList);

/***/ }),

/***/ "./src/index.js":
/*!**********************!*\
  !*** ./src/index.js ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_blocks__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/blocks */ "@wordpress/blocks");
/* harmony import */ var _wordpress_blocks__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_blocks__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @wordpress/i18n */ "@wordpress/i18n");
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _style_scss__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./style.scss */ "./src/style.scss");
/* harmony import */ var _edit__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./edit */ "./src/edit.js");



/**
 * Lets webpack process CSS, SASS or SCSS files referenced in JavaScript files.
 * All files containing `style` keyword are bundled together. The code used
 * gets applied both to the front of your site and to the editor.
 *
 * @see https://www.npmjs.com/package/@wordpress/scripts#using-css
 */


const default_font = JSON.stringify({
  family_json: JSON.stringify({
    family: 'Default',
    variants: ['regular', 'bold', 'italic']
  }),
  variant: 'regular',
  font_size: '',
  line_height: '',
  letter_spacing: '',
  word_spacing: '',
  text_transform: '',
  text_decoration: '',
  selector: ''
});
(0,_wordpress_blocks__WEBPACK_IMPORTED_MODULE_0__.registerBlockType)('nflc/nutrition-facts-label-creator-gt', {
  attributes: {
    block_id: {
      type: 'string',
      default: ''
    },
    preview: {
      type: 'boolean',
      default: true
    },
    display_style: {
      type: 'string',
      default: 'std'
    },
    nutri_heading: {
      type: 'string',
      default: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Nutrition Facts', 'nflc-gt')
    },
    show_dv: {
      type: 'boolean',
      default: false
    },
    extra_notes: {
      type: 'string',
      default: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('* The % Daily Value (DV) tells you how much a nutrient in a serving of food contributes to a daily diet. 2,000 calories a day is used for general nutrition advice.', 'nflc-gt')
    },
    serving_size: {
      type: 'string',
      default: ''
    },
    calories: {
      type: 'string',
      default: ''
    },
    serving_per_cont: {
      type: 'string',
      default: ''
    },
    total_fat: {
      type: 'string',
      default: ''
    },
    saturated_fat: {
      type: 'string',
      default: ''
    },
    trans_fat: {
      type: 'string',
      default: ''
    },
    polyunsat_fat: {
      type: 'string',
      default: ''
    },
    monounsat_fat: {
      type: 'string',
      default: ''
    },
    cholesterol: {
      type: 'string',
      default: ''
    },
    sodium: {
      type: 'string',
      default: ''
    },
    carbohydrate: {
      type: 'string',
      default: ''
    },
    fiber: {
      type: 'string',
      default: ''
    },
    sugar: {
      type: 'string',
      default: ''
    },
    added_sugar: {
      type: 'string',
      default: ''
    },
    sugar_alcohal: {
      type: 'string',
      default: ''
    },
    protein: {
      type: 'string',
      default: ''
    },
    vitamin_d: {
      type: 'string',
      default: ''
    },
    calcium: {
      type: 'string',
      default: ''
    },
    iron: {
      type: 'string',
      default: ''
    },
    potassium: {
      type: 'string',
      default: ''
    },
    vitamin_a: {
      type: 'string',
      default: ''
    },
    vitamin_c: {
      type: 'string',
      default: ''
    },
    vitamin_e: {
      type: 'string',
      default: ''
    },
    vitamin_k: {
      type: 'string',
      default: ''
    },
    vitamin_b1: {
      type: 'string',
      default: ''
    },
    vitamin_b2: {
      type: 'string',
      default: ''
    },
    vitamin_b3: {
      type: 'string',
      default: ''
    },
    vitamin_b6: {
      type: 'string',
      default: ''
    },
    folate: {
      type: 'string',
      default: ''
    },
    vitamin_b12: {
      type: 'string',
      default: ''
    },
    biotin: {
      type: 'string',
      default: ''
    },
    choline: {
      type: 'string',
      default: ''
    },
    vitamin_b5: {
      type: 'string',
      default: ''
    },
    phosphorus: {
      type: 'string',
      default: ''
    },
    iodine: {
      type: 'string',
      default: ''
    },
    magnesium: {
      type: 'string',
      default: ''
    },
    zinc: {
      type: 'string',
      default: ''
    },
    selenium: {
      type: 'string',
      default: ''
    },
    copper: {
      type: 'string',
      default: ''
    },
    manganese: {
      type: 'string',
      default: ''
    },
    chromium: {
      type: 'string',
      default: ''
    },
    molybdenum: {
      type: 'string',
      default: ''
    },
    chloride: {
      type: 'string',
      default: ''
    },
    custom_nutrients: {
      type: 'array',
      default: []
    },
    nt_table_family: {
      type: 'string',
      default: default_font
    },
    nt_table_color: {
      type: 'string',
      default: ''
    },
    nt_title_family: {
      type: 'string',
      default: default_font
    },
    nt_title_color: {
      type: 'string',
      default: ''
    },
    serving_per_cont_family: {
      type: 'string',
      default: default_font
    },
    serving_per_cont_color: {
      type: 'string',
      default: ''
    },
    serving_size_family: {
      type: 'string',
      default: default_font
    },
    serving_size_color: {
      type: 'string',
      default: ''
    },
    amt_per_serving_family: {
      type: 'string',
      default: default_font
    },
    amt_per_serving_color: {
      type: 'string',
      default: ''
    },
    calories_family: {
      type: 'string',
      default: default_font
    },
    calories_color: {
      type: 'string',
      default: ''
    }
  },
  /**
   * @see ./edit.js
   */
  edit: _edit__WEBPACK_IMPORTED_MODULE_3__["default"],
  /**
   * @see ./save.js
   */
  save: () => {
    return null;
  }
});

/***/ }),

/***/ "./src/typography.js":
/*!***************************!*\
  !*** ./src/typography.js ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @wordpress/i18n */ "@wordpress/i18n");
/* harmony import */ var _wordpress_i18n__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _font_list__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./font-list */ "./src/font-list.js");
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @wordpress/components */ "@wordpress/components");
/* harmony import */ var _wordpress_components__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__);




const Typography = ({
  props,
  att_name,
  selector
}) => {
  const {
    attributes,
    setAttributes
  } = props;

  // Font Family array
  const f_arr = (0,_font_list__WEBPACK_IMPORTED_MODULE_2__["default"])();

  // Generate variants from slected family
  const make_variants = () => {
    if (!att_name in attributes) {
      return;
    }
    let variants = ['regular'];
    const ty = JSON.parse(attributes[att_name]);
    variants = JSON.parse(ty.family_json).variants;
    let variants_arr = variants.map(item => {
      return {
        label: item,
        value: item
      };
    });
    return variants_arr;
  };
  const handleChange = (newval, property) => {
    if (!att_name in attributes) {
      return;
    }
    const ty = JSON.parse(attributes[att_name]);
    if ('family' == property) {
      ty['family_json'] = newval;

      // When there is only one variant, the onChange event will not be possible
      // In that case we need to set the variant to the single one without user interaction
      let _variants = JSON.parse(ty['family_json']).variants;
      if (_variants.length == 1) {
        ty['variant'] = _variants[0];
      }
    } else {
      ty[property] = newval;
    }
    if (selector && '' !== selector) {
      ty['selector'] = selector;
    }
    setAttributes({
      [att_name]: JSON.stringify(ty)
    });
  };
  const setValue = property => {
    if (!att_name in attributes) {
      return;
    }
    const ty = JSON.parse(attributes[att_name]);
    if ('family' == property) {
      return ty.family_json;
    } else {
      return ty[property];
    }
  };
  return (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.__experimentalGrid, {
    columns: 1,
    className: "typography-controls"
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Family', 'domain'),
    value: setValue('family'),
    onChange: newval => handleChange(newval, 'family'),
    options: f_arr
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Variant', 'nflc-gt'),
    value: setValue('variant'),
    onChange: newval => handleChange(newval, 'variant'),
    options: make_variants()
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.__experimentalGrid, {
    columns: 2
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.__experimentalUnitControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Font size', 'nflc-gt'),
    value: setValue('font_size'),
    onChange: newval => handleChange(newval, 'font_size'),
    step: "any",
    units: [{
      value: 'px',
      label: 'px'
    }, {
      value: 'em',
      label: 'em'
    }, {
      value: 'rem',
      label: 'rem'
    }, {
      value: '%',
      label: '%'
    }]
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.__experimentalUnitControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Line Height', 'nflc-gt'),
    value: setValue('line_height'),
    onChange: newval => handleChange(newval, 'line_height'),
    step: "any",
    units: [{
      value: 'px',
      label: 'px'
    }, {
      value: 'em',
      label: 'em'
    }, {
      value: 'rem',
      label: 'rem'
    }, {
      value: '%',
      label: '%'
    }]
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.__experimentalUnitControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Letter Spacing', 'nflc-gt'),
    value: setValue('letter_spacing'),
    onChange: newval => handleChange(newval, 'letter_spacing'),
    step: "any",
    units: [{
      value: 'px',
      label: 'px'
    }, {
      value: 'em',
      label: 'em'
    }, {
      value: 'rem',
      label: 'rem'
    }]
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.__experimentalUnitControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Word Spacing', 'nflc-gt'),
    value: setValue('word_spacing'),
    onChange: newval => handleChange(newval, 'word_spacing'),
    step: "any",
    units: [{
      value: 'px',
      label: 'px'
    }, {
      value: 'em',
      label: 'em'
    }, {
      value: 'rem',
      label: 'rem'
    }]
  }), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Text Transform', 'nflc-gt'),
    value: setValue('text_transform'),
    onChange: newval => handleChange(newval, 'text_transform')
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "none"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('None', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "uppercase"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Uppercase', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "lowercase"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Lowercase', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "capitalize"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Capitalize', 'nflc-gt'))), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(_wordpress_components__WEBPACK_IMPORTED_MODULE_3__.SelectControl, {
    label: (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Text Decoration', 'nflc-gt'),
    value: setValue('text_decoration'),
    onChange: newval => handleChange(newval, 'text_decoration')
  }, (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "none"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('None', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "overline"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Overline', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "underline"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Underline', 'nflc-gt')), (0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)("option", {
    value: "line-through"
  }, (0,_wordpress_i18n__WEBPACK_IMPORTED_MODULE_1__.__)('Line Through', 'nflc-gt')))));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Typography);

/***/ }),

/***/ "./src/editor.scss":
/*!*************************!*\
  !*** ./src/editor.scss ***!
  \*************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "./src/style.scss":
/*!************************!*\
  !*** ./src/style.scss ***!
  \************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "react":
/*!************************!*\
  !*** external "React" ***!
  \************************/
/***/ ((module) => {

module.exports = window["React"];

/***/ }),

/***/ "@wordpress/block-editor":
/*!*************************************!*\
  !*** external ["wp","blockEditor"] ***!
  \*************************************/
/***/ ((module) => {

module.exports = window["wp"]["blockEditor"];

/***/ }),

/***/ "@wordpress/blocks":
/*!********************************!*\
  !*** external ["wp","blocks"] ***!
  \********************************/
/***/ ((module) => {

module.exports = window["wp"]["blocks"];

/***/ }),

/***/ "@wordpress/components":
/*!************************************!*\
  !*** external ["wp","components"] ***!
  \************************************/
/***/ ((module) => {

module.exports = window["wp"]["components"];

/***/ }),

/***/ "@wordpress/data":
/*!******************************!*\
  !*** external ["wp","data"] ***!
  \******************************/
/***/ ((module) => {

module.exports = window["wp"]["data"];

/***/ }),

/***/ "@wordpress/editor":
/*!********************************!*\
  !*** external ["wp","editor"] ***!
  \********************************/
/***/ ((module) => {

module.exports = window["wp"]["editor"];

/***/ }),

/***/ "@wordpress/element":
/*!*********************************!*\
  !*** external ["wp","element"] ***!
  \*********************************/
/***/ ((module) => {

module.exports = window["wp"]["element"];

/***/ }),

/***/ "@wordpress/i18n":
/*!******************************!*\
  !*** external ["wp","i18n"] ***!
  \******************************/
/***/ ((module) => {

module.exports = window["wp"]["i18n"];

/***/ }),

/***/ "@wordpress/server-side-render":
/*!******************************************!*\
  !*** external ["wp","serverSideRender"] ***!
  \******************************************/
/***/ ((module) => {

module.exports = window["wp"]["serverSideRender"];

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = __webpack_modules__;
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/chunk loaded */
/******/ 	(() => {
/******/ 		var deferred = [];
/******/ 		__webpack_require__.O = (result, chunkIds, fn, priority) => {
/******/ 			if(chunkIds) {
/******/ 				priority = priority || 0;
/******/ 				for(var i = deferred.length; i > 0 && deferred[i - 1][2] > priority; i--) deferred[i] = deferred[i - 1];
/******/ 				deferred[i] = [chunkIds, fn, priority];
/******/ 				return;
/******/ 			}
/******/ 			var notFulfilled = Infinity;
/******/ 			for (var i = 0; i < deferred.length; i++) {
/******/ 				var [chunkIds, fn, priority] = deferred[i];
/******/ 				var fulfilled = true;
/******/ 				for (var j = 0; j < chunkIds.length; j++) {
/******/ 					if ((priority & 1 === 0 || notFulfilled >= priority) && Object.keys(__webpack_require__.O).every((key) => (__webpack_require__.O[key](chunkIds[j])))) {
/******/ 						chunkIds.splice(j--, 1);
/******/ 					} else {
/******/ 						fulfilled = false;
/******/ 						if(priority < notFulfilled) notFulfilled = priority;
/******/ 					}
/******/ 				}
/******/ 				if(fulfilled) {
/******/ 					deferred.splice(i--, 1)
/******/ 					var r = fn();
/******/ 					if (r !== undefined) result = r;
/******/ 				}
/******/ 			}
/******/ 			return result;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/jsonp chunk loading */
/******/ 	(() => {
/******/ 		// no baseURI
/******/ 		
/******/ 		// object to store loaded and loading chunks
/******/ 		// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 		// [resolve, reject, Promise] = chunk loading, 0 = chunk loaded
/******/ 		var installedChunks = {
/******/ 			"index": 0,
/******/ 			"./style-index": 0
/******/ 		};
/******/ 		
/******/ 		// no chunk on demand loading
/******/ 		
/******/ 		// no prefetching
/******/ 		
/******/ 		// no preloaded
/******/ 		
/******/ 		// no HMR
/******/ 		
/******/ 		// no HMR manifest
/******/ 		
/******/ 		__webpack_require__.O.j = (chunkId) => (installedChunks[chunkId] === 0);
/******/ 		
/******/ 		// install a JSONP callback for chunk loading
/******/ 		var webpackJsonpCallback = (parentChunkLoadingFunction, data) => {
/******/ 			var [chunkIds, moreModules, runtime] = data;
/******/ 			// add "moreModules" to the modules object,
/******/ 			// then flag all "chunkIds" as loaded and fire callback
/******/ 			var moduleId, chunkId, i = 0;
/******/ 			if(chunkIds.some((id) => (installedChunks[id] !== 0))) {
/******/ 				for(moduleId in moreModules) {
/******/ 					if(__webpack_require__.o(moreModules, moduleId)) {
/******/ 						__webpack_require__.m[moduleId] = moreModules[moduleId];
/******/ 					}
/******/ 				}
/******/ 				if(runtime) var result = runtime(__webpack_require__);
/******/ 			}
/******/ 			if(parentChunkLoadingFunction) parentChunkLoadingFunction(data);
/******/ 			for(;i < chunkIds.length; i++) {
/******/ 				chunkId = chunkIds[i];
/******/ 				if(__webpack_require__.o(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 					installedChunks[chunkId][0]();
/******/ 				}
/******/ 				installedChunks[chunkId] = 0;
/******/ 			}
/******/ 			return __webpack_require__.O(result);
/******/ 		}
/******/ 		
/******/ 		var chunkLoadingGlobal = globalThis["webpackChunknutrition_facts_label_creator_gt"] = globalThis["webpackChunknutrition_facts_label_creator_gt"] || [];
/******/ 		chunkLoadingGlobal.forEach(webpackJsonpCallback.bind(null, 0));
/******/ 		chunkLoadingGlobal.push = webpackJsonpCallback.bind(null, chunkLoadingGlobal.push.bind(chunkLoadingGlobal));
/******/ 	})();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module depends on other loaded chunks and execution need to be delayed
/******/ 	var __webpack_exports__ = __webpack_require__.O(undefined, ["./style-index"], () => (__webpack_require__("./src/index.js")))
/******/ 	__webpack_exports__ = __webpack_require__.O(__webpack_exports__);
/******/ 	
/******/ })()
;
//# sourceMappingURL=index.js.map